summaryrefslogtreecommitdiffstats
path: root/audio/easymp3gain/easymp3gain.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/easymp3gain/easymp3gain.SlackBuild')
-rw-r--r--audio/easymp3gain/easymp3gain.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/audio/easymp3gain/easymp3gain.SlackBuild b/audio/easymp3gain/easymp3gain.SlackBuild
new file mode 100644
index 0000000000..65752dd7c1
--- /dev/null
+++ b/audio/easymp3gain/easymp3gain.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for easymp3gain
+
+# Written by Chernov V. V. manbornofwoman@gmail.com
+
+PRGNAM=easymp3gain
+VERSION=${VERSION:-0.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+LCL=${LCL:-gtk2} # otherwise "qt"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if ! [[ "$ARCH" = "x86_64" || "$ARCH" = "i386" ]]; then
+ printf "\nThis won't build on $ARCH.\n\n"; exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patches ripped off from debian
+# Hidden or not writeable files cause easyMp3Gain to crash sometimes
+patch -p1 < $CWD/patches/02_filechooser.patch
+
+# Don't force compiler architecture in LPI
+patch -p1 < $CWD/patches/03_fix_compiler_arch.patch
+
+if [ "$LCL" = "qt" ]; then
+ OPT="-dUSE_QT_45"
+fi
+
+make clean
+make all \
+ LCL_PLATFORM=${LCL} \
+ OPT=${OPT}
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGELOG.txt COPYING README.txt RELEASE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}